# Workflow Runs API

You can start a workflow from API with the [Workflow Execution API](/arcee-orchestra/workflows/api-invocation/workflow-execution-api.md), returning the `run_id` of the workflow in question\
\
To check the status of the run, you can use the following API.

```
response = requests.get(f"{API_BASE_URL}/workflows/{workflow_id}/runs/{run_id}", headers=headers)
run_details = response.json()
run_details
```

This will return the details of the run - such as<br>

```
[{'id': 'THE_RUN_ID',
  'status': 'completed',
  'start_time': '2025-04-24T03:18:12.322630Z',
  'end_time': '2025-04-24T03:18:13.048954Z',
  'elapsed_time': 0,
  'error': None,
  'outputs': {'query': 'Hello from Python',
   'model_1': 'Hello there! How can I assist you today?'},
  'all_outputs': {'query': 'Hello from Python',
   'model_1': 'Hello there! How can I assist you today?'},
  'inputs': {'query': 'Hello from Python'}}]

```

To check the granular status of each step you can check the [Workflow Execution Steps API](/arcee-orchestra/workflows/api-invocation/workflow-execution-steps-api.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcee.ai/arcee-orchestra/workflows/api-invocation/workflow-runs-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
